#include <stdio.h>
#define EX(k) k+3.14159
#define PR(a) printf("%d  ",(int)(a))
#define PRINT(a) PR(a); putchar('\n')
#define PRINT2(a,b) PR(a), PRINT(b)
#define PRINT3(a,b,c) PR(a); PRINT2(b,c)
#define MAX(a,b) (a<b ? b : a)

main()                  /* Praeprozessor  */ 
{
        int i,x=1,y=2;

        PRINT( 2*EX(2) );
        for( i=0; i<=4; i+=2 )
            PRINT2( i, 5*i+32 );
#ifndef PRX
        PRINT3( MAX(x++,y),x,y );
        PRINT3( MAX(x++,y),x,y );
#else
        PRINT3( MAX(x++,++y),x,y );
        PRINT3( MAX(x,y),x,y );
#endif
}
